package com.github.jfcloud.gene.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.jfcloud.gene.common.entity.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@Schema(description = "样本送检申请单血清详情")
public class SampleCheckItemSerum extends BaseEntity {

    @TableId(type = IdType.AUTO)
    private Integer id;

    @Schema(description = "送检申请单id")
    private Long checkOrderId;

    @Schema(description = "样本编号前缀")
    private String codePrefix;

    @Schema(description = "样本编号后缀")
    private String codeSuffix;

    @Schema(description = "lis样本类型id")
    private Integer lisSampleTypeId;

    @Schema(description = "lis样本类型")
    private String lisSampleTypeName;

    @Schema(description = "lis性别id")
    private Integer lisSexId;

    @Schema(description = "lis性别")
    private String lisSexName;

    @Schema(description = "年龄")
    private String age;

    @Schema(description = "年龄单位")
    private String ageUnit;

    @Schema(description = "lis动物种类id")
    private Integer lisPetTypeId;

    @Schema(description = "lis动物种类")
    private String lisPetTypeName;

    @Schema(description = "lis专业组id，HT_INFO_PROF")
    private Integer lisProfId;

    @Schema(description = "lis专业组")
    private String lisProfName;

    @Schema(description = "lis仪器id，HT_INFO_MACHINE")
    private Integer lisMachineId;

    @Schema(description = "lis仪器")
    private String lisMachineName;

    @Schema(description = "检测指标")
    private String target;

    @Schema(description = "样本数量")
    private String num;

    @Schema(description = "申请日期")
    private String applyDate;

    @Schema(description = "送检日期")
    private String sendDate;

    @Schema(description = "加急")
    private String quick;

    @Schema(description = "样本需返还")
    private String needBack;

    @Schema(description = "备注或其他需求")
    private String remark;
}