package com.github.jfcloud.gene.sample.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
@Schema(description = "宠物食品检测明细表")
public class SampleFoodDetail extends Model {

    @TableId(type = IdType.AUTO)
    @Schema(description = "样品ID")
    private Long id;

    @Schema(description = "关联的宠物食品检测表ID")
    private Long sampleFoodId;

    @Schema(description = "样品名称")
    private String sampleName;

    @Schema(description = "生产商")
    private String manufacturer;

    @Schema(description = "生产日期")
    private Date productionDate;

    @Schema(description = "批号")
    private String batchNumber;

    @Schema(description = "数量")
    private String quantity;

    @Schema(description = "样品状态")
    private String sampleStatus;

    @Schema(description = "样品状态-其他")
    private String sampleStatusOther;

    @Schema(description = "包装方式")
    private String packaging;

    @Schema(description = "包装方式-其他")
    private String packagingOther;

    @Schema(description = "检测项目")
    private String detectionItems;

    @Schema(description = "其他补充信息")
    private String otherInfo;
}